Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » VIRGO -NANO 3.6.4 Tomcat version(VIRGO -NANO 3.6.4 Tomcat version)
VIRGO -NANO 3.6.4 Tomcat version [message #1729221] Tue, 12 April 2016 09:22 Go to next message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
Hello,

Recently i downloaded Virgo-Nano 3.6.4 version. However i want to know tomcat server version to which virgo nano 3.6.4 is integrated with so that i can check for websocket support.

Thanks
Chandru
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729229 is a reply to message #1729221] Tue, 12 April 2016 10:05 Go to previous messageGo to next message
Violeta Georgieva is currently offline Violeta GeorgievaFriend
Messages: 276
Registered: October 2010
Senior Member
Hi,

Apache Tomcat 7.0.61 is available with this Virgo version.
Please note that websocket implementation requires Java 7.

Regards,
Violeta
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729244 is a reply to message #1729229] Tue, 12 April 2016 11:29 Go to previous messageGo to next message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
Thank you. Sure, we are using JDK1.7.
We use HTML5,,spring 3.x , OSGI web application deployed in Virgo nano. Request you to suggest any websocket frameworks suitable for above environment.

[Updated on: Tue, 12 April 2016 11:50]

Report message to a moderator

Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729478 is a reply to message #1729244] Thu, 14 April 2016 13:14 Go to previous messageGo to next message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
Sorry, one more question. I also have virgo nano 3.6.2. which tomcat version is available with virgo nano 3.6.2 ?
How do we find these info
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729479 is a reply to message #1729478] Thu, 14 April 2016 13:15 Go to previous messageGo to next message
Violeta Georgieva is currently offline Violeta GeorgievaFriend
Messages: 276
Registered: October 2010
Senior Member
Hi,

You can go to the <Virgo-Home>/repository/ext
and check the version for org.apache.catalina bundle.

Regards,
Violeta
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729480 is a reply to message #1729479] Thu, 14 April 2016 13:53 Go to previous messageGo to next message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
No Message Body

[Updated on: Fri, 15 April 2016 05:18]

Report message to a moderator

Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729481 is a reply to message #1729480] Thu, 14 April 2016 14:00 Go to previous messageGo to next message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
We found out the jar. It was in plugins
org.apache.catalina_7.0.35.v201302131125.jar.

When i tried to deploy websocket.war in this Virgo-Nano, following error is being displayed.

WebSocket connection to 'ws://localhost:8080/websocket/ws' failed: Error during WebSocket handshake: Unexpected response code: 404

It seems websocket is not supported in this version.
So i downloaded latest virgo-nano which is 3.6.4. But this doesn't deploy .war file . Also iam not able to find 'tomcat-server.xml' to change the portno. could you please let us know on this
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729484 is a reply to message #1729481] Thu, 14 April 2016 14:36 Go to previous messageGo to next message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
Sorry, i downloaded virgo-nano instead of virgo-nano-web. Websocket works now Very Happy
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729604 is a reply to message #1729484] Fri, 15 April 2016 19:42 Go to previous messageGo to next message
Violeta Georgieva is currently offline Violeta GeorgievaFriend
Messages: 276
Registered: October 2010
Senior Member
That's great
and yes you are correct Tomcat 7.0.35 does not support JSR-356.
The first Tomcat 7 version that supports this is 7.0.47.
Re: VIRGO -NANO 3.6.4 Tomcat version [message #1729694 is a reply to message #1729604] Mon, 18 April 2016 07:55 Go to previous message
Chandre Gowda is currently offline Chandre GowdaFriend
Messages: 56
Registered: April 2013
Member
Thank you very much Smile
Previous Topic:PDE OSGi bundles and Virgo tooling
Next Topic:From OSGi to Blueprints & Virgo?
Goto Forum:
  


Current Time: Sat Nov 17 04:36:07 GMT 2018

Powered by FUDForum. Page generated in 0.01938 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top